package com.airson.alive.model;

import com.google.gson.annotations.SerializedName;

/**
 * Created by Shrikant on 4/22/18.
 */

public class UserResponseModel {

    @SerializedName("error")
    boolean error;
    @SerializedName("user")
    UserDataSetFields user;
    @SerializedName("message")
    String message;



    public static class UserDataSetFields {
        @SerializedName("authtoken")
        String authtoken;
        @SerializedName("username")
        String username;
        @SerializedName("name")
        String name;
        @SerializedName("email")
        String email;
        @SerializedName("gender")
        String gender;

        public String getAuthtoken() {
            return authtoken;
        }

        public void setAuthtoken(String authtoken) {
            this.authtoken = authtoken;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getGender() {
            return gender;
        }

        public void setGender(String gender) {
            this.gender = gender;
        }
    }

    public boolean isError() {
        return error;
    }

    public void setError(boolean error) {
        this.error = error;
    }

    public UserDataSetFields getUser() {
        return user;
    }

    public void setUser(UserDataSetFields user) {
        this.user = user;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
